! Try compiling on Sun using f90
! Try also compiling on "crunch" using gfortran
! ---------------------------------------------------------
!

   function Add(A, B) result (C)
    implicit none

    real, INTENT(IN) :: A
    real, INTENT(IN) :: B
    real             :: C

    C = A - B
   end function

!---------------------------------------------------------

  program Main
   implicit none

   INTERFACE operator(+)
    function  Add(A, B) result (C)
    real, INTENT(IN) :: A
    real, INTENT(IN) :: B
    real             :: C
    end function
   END INTERFACE 

   real   x, y, z

   x = 3   
   y = 5   

   print *, x, y
   print *, "x + y = ", x + y

  end program

